org.jboss.jca.as.converters.wls.api.metadata

## Interface SecurityWorkContext

- All Superinterfaces:
    java.io.Serializable, WlsMetadata
  All Known Implementing Classes:
    SecurityWorkContextImpl

      public interface SecurityWorkContext
      extends WlsMetadata

  A generic SecurityWorkContext.
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SecurityWorkContext.Attribute` A Attribute.
    `static class` | `SecurityWorkContext.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnonPrincipal` | `getCallerPrincipalDefaultMapped()` getCallerPrincipalDefaultMapped
    `java.util.List<InboundCallerPrincipalMapping>` | `getCallerPrincipalMapping()` getCallerPrincipalMapping
    `java.lang.String` | `getGroupPrincipalDefaultMapped()` getGroupPrincipalDefaultMapped
    `java.util.List<InboundGroupPrincipalMapping>` | `getGroupPrincipalMapping()` getGroupPrincipalMapping
    `java.lang.Boolean` | `getInboundMappingRequired()` getInboundMappingRequired

- - ### Method Detail

    - #### getInboundMappingRequired

          java.lang.Boolean getInboundMappingRequired()

      getInboundMappingRequired
      Returns:
        the InboundMappingRequired

    - #### getCallerPrincipalDefaultMapped

          AnonPrincipal getCallerPrincipalDefaultMapped()

      getCallerPrincipalDefaultMapped
      Returns:
        the CallerPrincipalDefaultMapped

    - #### getCallerPrincipalMapping

          java.util.List<InboundCallerPrincipalMapping> getCallerPrincipalMapping()

      getCallerPrincipalMapping
      Returns:
        the List

    - #### getGroupPrincipalDefaultMapped

          java.lang.String getGroupPrincipalDefaultMapped()

      getGroupPrincipalDefaultMapped
      Returns:
        the GroupPrincipalDefaultMapped

    - #### getGroupPrincipalMapping

          java.util.List<InboundGroupPrincipalMapping> getGroupPrincipalMapping()

      getGroupPrincipalMapping
      Returns:
        the List

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)